# Makefile.in generated by automake 1.9.2 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# $Id: Makefile.am,v 1.111 2005/08/10 23:52:58 mrsam Exp $
#
# Copyright 1998 - 2005 Double Precision, Inc.  See COPYING for
# distribution information.





SOURCES = $(libauthcustom_la_SOURCES) $(libauthldap_la_SOURCES) $(libauthmysql_la_SOURCES) $(libauthpam_la_SOURCES) $(libauthpgsql_la_SOURCES) $(libauthpipe_la_SOURCES) $(libauthpwd_la_SOURCES) $(libauthshadow_la_SOURCES) $(libauthuserdb_la_SOURCES) $(libauthvchkpw_la_SOURCES) $(libcourierauth_la_SOURCES) $(libcourierauthcommon_la_SOURCES) $(libcourierauthsasl_la_SOURCES) $(libcourierauthsaslclient_la_SOURCES) $(authdaemondprog_SOURCES) $(authdaemontest_SOURCES) $(authenumerate_SOURCES) $(authmksock_SOURCES) $(authpasswd_SOURCES) $(authtest_SOURCES) $(courierauthconfig_SOURCES)

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
sbin_PROGRAMS = authtest$(EXEEXT) authenumerate$(EXEEXT) \
	authpasswd$(EXEEXT)
bin_PROGRAMS = courierauthconfig$(EXEEXT)
noinst_PROGRAMS = authdaemontest$(EXEEXT) authmksock$(EXEEXT) \
	authdaemondprog$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(include_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/README.authdebug.html.in $(srcdir)/authdaemond.in \
	$(srcdir)/authdaemonrc.in $(srcdir)/authmigrate.in \
	$(srcdir)/authsystem.passwd.in \
	$(srcdir)/courier-authlib.lpspec.in \
	$(srcdir)/courier-authlib.spec.in \
	$(srcdir)/courier-authlib.sysvinit.in \
	$(srcdir)/courier_auth_config.h.in $(srcdir)/dbobj.h.in \
	$(srcdir)/userdb-test-cram-md5.pl.in $(top_srcdir)/configure \
	AUTHORS COPYING ChangeLog INSTALL NEWS config.guess config.sub \
	depcomp install-sh ltmain.sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = courier_auth_config.h
CONFIG_CLEAN_FILES = authdaemond authdaemonrc authsystem.passwd \
	README.authdebug.html dbobj.h authmigrate courier-authlib.spec \
	courier-authlib.lpspec courier-authlib.sysvinit \
	userdb-test-cram-md5.pl
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(pkglibexecdir)" \
	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)" \
	"$(DESTDIR)$(man3dir)" "$(DESTDIR)$(includedir)"
pkglibLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(pkglib_LTLIBRARIES)
am__DEPENDENCIES_1 = libcourierauthcommon.la
am_libauthcustom_la_OBJECTS = authcustom.lo preauthcustom.lo
libauthcustom_la_OBJECTS = $(am_libauthcustom_la_OBJECTS)
am_libauthldap_la_OBJECTS = authldap.lo preauthldap.lo authldaplib.lo
libauthldap_la_OBJECTS = $(am_libauthldap_la_OBJECTS)
am_libauthmysql_la_OBJECTS = authmysql.lo preauthmysql.lo \
	authmysqllib.lo
libauthmysql_la_OBJECTS = $(am_libauthmysql_la_OBJECTS)
am_libauthpam_la_OBJECTS = authpam.lo preauthpam.lo
libauthpam_la_OBJECTS = $(am_libauthpam_la_OBJECTS)
am_libauthpgsql_la_OBJECTS = authpgsql.lo preauthpgsql.lo \
	authpgsqllib.lo
libauthpgsql_la_OBJECTS = $(am_libauthpgsql_la_OBJECTS)
am_libauthpipe_la_OBJECTS = authpipe.lo authpipelib.lo
libauthpipe_la_OBJECTS = $(am_libauthpipe_la_OBJECTS)
am_libauthpwd_la_OBJECTS = authpwd.lo preauthpwd.lo
libauthpwd_la_OBJECTS = $(am_libauthpwd_la_OBJECTS)
am_libauthshadow_la_OBJECTS = authshadow.lo preauthshadow.lo
libauthshadow_la_OBJECTS = $(am_libauthshadow_la_OBJECTS)
am__DEPENDENCIES_2 = userdb/libuserdb.la
am_libauthuserdb_la_OBJECTS = authuserdb.lo preauthuserdb.lo \
	preauthuserdbcommon.lo authuserdbpwd.lo
libauthuserdb_la_OBJECTS = $(am_libauthuserdb_la_OBJECTS)
am_libauthvchkpw_la_OBJECTS = authvchkpw.lo authvchkpwlib.lo \
	preauthvchkpw.lo
libauthvchkpw_la_OBJECTS = $(am_libauthvchkpw_la_OBJECTS)
libcourierauth_la_DEPENDENCIES = numlib/libnumlib.la \
	random128/librandom128.la rfc822/libencode.la
am_libcourierauth_la_OBJECTS = authdaemon.lo authdaemonlib.lo \
	preauthdaemon.lo authmoduser2.lo authmoduser3.lo debug.lo \
	authoption.lo
libcourierauth_la_OBJECTS = $(am_libcourierauth_la_OBJECTS)
am__libcourierauthcommon_la_SOURCES_DIST = auth.h courierauth.h \
	authpwdenumerate.c authsaslfrombase64.c authsasltobase64.c \
	authstaticlist.h authsyschangepwd.c authsyscommon.c cramlib.c \
	cramlib.h checkpassword.c cryptpassword.c checkpasswordmd5.c \
	checkpasswordsha1.c
@HAVE_MD5_TRUE@am__objects_1 = checkpasswordmd5.lo
@HAVE_SHA1_TRUE@am__objects_2 = checkpasswordsha1.lo
am_libcourierauthcommon_la_OBJECTS = authpwdenumerate.lo \
	authsaslfrombase64.lo authsasltobase64.lo authsyschangepwd.lo \
	authsyscommon.lo cramlib.lo checkpassword.lo cryptpassword.lo \
	$(am__objects_1) $(am__objects_2)
libcourierauthcommon_la_OBJECTS =  \
	$(am_libcourierauthcommon_la_OBJECTS)
libcourierauthsasl_la_DEPENDENCIES = libcourierauth.la
am_libcourierauthsasl_la_OBJECTS = authsasl.lo authsaslcram.lo \
	authsasllogin.lo authsaslplain.lo authsaslfrombase64.lo \
	authsasltobase64.lo
libcourierauthsasl_la_OBJECTS = $(am_libcourierauthsasl_la_OBJECTS)
libcourierauthsaslclient_la_DEPENDENCIES = libcourierauth.la
am_libcourierauthsaslclient_la_OBJECTS = authsaslclient.lo \
	authsaslclientcram.lo authsaslclientcrammd5.lo \
	authsaslclientcramsha1.lo authsaslclientlogin.lo \
	authsaslclientplain.lo authsaslfrombase64.lo \
	authsasltobase64.lo
libcourierauthsaslclient_la_OBJECTS =  \
	$(am_libcourierauthsaslclient_la_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS) $(sbin_PROGRAMS)
am_authdaemondprog_OBJECTS = authdaemond.$(OBJEXT)
authdaemondprog_OBJECTS = $(am_authdaemondprog_OBJECTS)
am__DEPENDENCIES_3 =
am_authdaemontest_OBJECTS = authdaemontest.$(OBJEXT)
authdaemontest_OBJECTS = $(am_authdaemontest_OBJECTS)
am_authenumerate_OBJECTS = authenumerate.$(OBJEXT)
authenumerate_OBJECTS = $(am_authenumerate_OBJECTS)
am_authmksock_OBJECTS = authmksock.$(OBJEXT)
authmksock_OBJECTS = $(am_authmksock_OBJECTS)
authmksock_DEPENDENCIES =
am_authpasswd_OBJECTS = authpasswd.$(OBJEXT)
authpasswd_OBJECTS = $(am_authpasswd_OBJECTS)
authpasswd_DEPENDENCIES = libcourierauthcommon.la
am_authtest_OBJECTS = authtest.$(OBJEXT)
authtest_OBJECTS = $(am_authtest_OBJECTS)
am_courierauthconfig_OBJECTS = authinfo.$(OBJEXT)
courierauthconfig_OBJECTS = $(am_courierauthconfig_OBJECTS)
courierauthconfig_LDADD = $(LDADD)
pkglibexecSCRIPT_INSTALL = $(INSTALL_SCRIPT)
sbinSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(pkglibexec_SCRIPTS) $(sbin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --quiet --mode=compile --tag=CC $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --quiet --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libauthcustom_la_SOURCES) $(libauthldap_la_SOURCES) \
	$(libauthmysql_la_SOURCES) $(libauthpam_la_SOURCES) \
	$(libauthpgsql_la_SOURCES) $(libauthpipe_la_SOURCES) \
	$(libauthpwd_la_SOURCES) $(libauthshadow_la_SOURCES) \
	$(libauthuserdb_la_SOURCES) $(libauthvchkpw_la_SOURCES) \
	$(libcourierauth_la_SOURCES) \
	$(libcourierauthcommon_la_SOURCES) \
	$(libcourierauthsasl_la_SOURCES) \
	$(libcourierauthsaslclient_la_SOURCES) \
	$(authdaemondprog_SOURCES) $(authdaemontest_SOURCES) \
	$(authenumerate_SOURCES) $(authmksock_SOURCES) \
	$(authpasswd_SOURCES) $(authtest_SOURCES) \
	$(courierauthconfig_SOURCES)
DIST_SOURCES = $(libauthcustom_la_SOURCES) $(libauthldap_la_SOURCES) \
	$(libauthmysql_la_SOURCES) $(libauthpam_la_SOURCES) \
	$(libauthpgsql_la_SOURCES) $(libauthpipe_la_SOURCES) \
	$(libauthpwd_la_SOURCES) $(libauthshadow_la_SOURCES) \
	$(libauthuserdb_la_SOURCES) $(libauthvchkpw_la_SOURCES) \
	$(libcourierauth_la_SOURCES) \
	$(am__libcourierauthcommon_la_SOURCES_DIST) \
	$(libcourierauthsasl_la_SOURCES) \
	$(libcourierauthsaslclient_la_SOURCES) \
	$(authdaemondprog_SOURCES) $(authdaemontest_SOURCES) \
	$(authenumerate_SOURCES) $(authmksock_SOURCES) \
	$(authpasswd_SOURCES) $(authtest_SOURCES) \
	$(courierauthconfig_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
NROFF = nroff
MANS = $(man_MANS)
DATA = $(noinst_DATA)
includeHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(include_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AUTHPAMCRYPT = @AUTHPAMCRYPT@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = srcdir=${srcdir} @SHELL@ ${srcdir}/automake.fix @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
COURIERCONFIG = @COURIERCONFIG@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CRYPTLIBS = @CRYPTLIBS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DBSUBDIR = @DBSUBDIR@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXPECT = @EXPECT@
F77 = @F77@
FFLAGS = @FFLAGS@
HAVE_AUTHMYSQL_FALSE = @HAVE_AUTHMYSQL_FALSE@
HAVE_AUTHMYSQL_TRUE = @HAVE_AUTHMYSQL_TRUE@
HAVE_AUTHPGSQL_FALSE = @HAVE_AUTHPGSQL_FALSE@
HAVE_AUTHPGSQL_TRUE = @HAVE_AUTHPGSQL_TRUE@
HAVE_CUSTOM_FALSE = @HAVE_CUSTOM_FALSE@
HAVE_CUSTOM_TRUE = @HAVE_CUSTOM_TRUE@
HAVE_HMACLIB_FALSE = @HAVE_HMACLIB_FALSE@
HAVE_HMACLIB_TRUE = @HAVE_HMACLIB_TRUE@
HAVE_LDAP_FALSE = @HAVE_LDAP_FALSE@
HAVE_LDAP_TRUE = @HAVE_LDAP_TRUE@
HAVE_MD5_FALSE = @HAVE_MD5_FALSE@
HAVE_MD5_TRUE = @HAVE_MD5_TRUE@
HAVE_PIPE_FALSE = @HAVE_PIPE_FALSE@
HAVE_PIPE_TRUE = @HAVE_PIPE_TRUE@
HAVE_SGML_FALSE = @HAVE_SGML_FALSE@
HAVE_SGML_TRUE = @HAVE_SGML_TRUE@
HAVE_SHA1_FALSE = @HAVE_SHA1_FALSE@
HAVE_SHA1_TRUE = @HAVE_SHA1_TRUE@
HMACLIB = @HMACLIB@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDAPLIBS = @LDAPLIBS@
LDFLAGS = @LDFLAGS@
LIBAUTHCUSTOM = @LIBAUTHCUSTOM@
LIBAUTHLDAP = @LIBAUTHLDAP@
LIBAUTHMYSQL = @LIBAUTHMYSQL@
LIBAUTHPAM = @LIBAUTHPAM@
LIBAUTHPGSQL = @LIBAUTHPGSQL@
LIBAUTHPIPE = @LIBAUTHPIPE@
LIBAUTHPWD = @LIBAUTHPWD@
LIBAUTHSHADOW = @LIBAUTHSHADOW@
LIBAUTHUSERDB = @LIBAUTHUSERDB@
LIBAUTHVCHKPW = @LIBAUTHVCHKPW@
LIBDB = @LIBDB@
LIBDL = @LIBDL@
LIBGDBM = @LIBGDBM@
LIBLTDL = @LIBLTDL@
LIBM = @LIBM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTDLINCL = @LTDLINCL@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MD5LIB = @MD5LIB@
MYSQL_CONFIG = @MYSQL_CONFIG@
MYSQL_LIBS = @MYSQL_LIBS@
NETLIBS = @NETLIBS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PASSWD = @PASSWD@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PGSQL_LIBS = @PGSQL_LIBS@
PG_CONFIG = @PG_CONFIG@
RANLIB = @RANLIB@
REPOSITORY = @REPOSITORY@
SET_MAKE = @SET_MAKE@
SHA1LIB = @SHA1LIB@
SHADOWLIBS = @SHADOWLIBS@
SHELL = @SHELL@
STRIP = @STRIP@
SYSCONFTOOL = @SYSCONFTOOL@
SYSCONFTOOL_PERL = @SYSCONFTOOL_PERL@
USE_DB = @USE_DB@
USE_GDBM = @USE_GDBM@
VERSION = @VERSION@
VPOPMAILLIBS = @VPOPMAILLIBS@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
authProg = @authProg@
authdaemonrc = @authdaemonrc@
authdaemonvar = @authdaemonvar@
authldaprc = @authldaprc@
authmysqlrc = @authmysqlrc@
authpgsqlrc = @authpgsqlrc@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
dblibrary = @dblibrary@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mailgroup = @mailgroup@
mailuser = @mailuser@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
userdb = @userdb@
vpopmail_home = @vpopmail_home@
AUTOMAKE_OPTIONS = dist-bzip2
SUBDIRS = libltdl @DBSUBDIR@ md5 sha1 libhmac numlib makedat userdb rfc822 random128 liblock liblog
DIST_SUBDIRS = libltdl gdbmobj bdbobj md5 sha1 libhmac numlib makedat userdb rfc822 random128 liblock liblog
INCLUDES = $(LTDLINCL)
modules = @LIBAUTHUSERDB@ \
	@LIBAUTHPAM@ @LIBAUTHPWD@ @LIBAUTHSHADOW@ \
	@LIBAUTHPGSQL@ @LIBAUTHLDAP@ @LIBAUTHMYSQL@ \
	@LIBAUTHCUSTOM@ @LIBAUTHVCHKPW@ @LIBAUTHPIPE@

pkglibexecdir = $(libexecdir)/courier-authlib
pkglibexec_SCRIPTS = authsystem.passwd
pkglib_LTLIBRARIES = libcourierauth.la \
	libcourierauthsasl.la libcourierauthsaslclient.la \
	libcourierauthcommon.la $(modules)

sbin_SCRIPTS = authdaemond
EXTRA_LTLIBRARIES = libauthuserdb.la \
	libauthpam.la libauthpwd.la libauthshadow.la \
	libauthvchkpw.la \
	libauthpgsql.la \
	libauthldap.la \
	libauthmysql.la \
	libauthcustom.la \
	libauthpipe.la

CLEANFILES = authldaprc.h authmysqlrc.h authdaemonrc.h vpopmail_config.h \
	authpgsqlrc.h authpiperc.h authdaemon \
	authlib.3 authlib.html packageversion.h \
	authchangepwdir.h sbindir.h pkglibdir.h pkgincludedir.h \
	mailusergroup.h authinfodaemondlist.c permissions.dat \
	README.authdebug.html

DISTCLEANFILES = dbobj.config README_authlib.html
commonlibdep = libcourierauthcommon.la
commonldflags = -module -rpath $(pkglibdir) -export-symbols-regex 'courier_auth.*_init'
commonlibadd = libcourierauthcommon.la
libcourierauthcommon_t = @CRYPTLIBS@
libcourierauthcommon_la_SOURCES = \
	auth.h courierauth.h \
	authpwdenumerate.c \
	authsaslfrombase64.c authsasltobase64.c \
	authstaticlist.h \
	authsyschangepwd.c authsyscommon.c \
	cramlib.c cramlib.h \
	checkpassword.c cryptpassword.c \
	$(checkpasswordmd5c) $(checkpasswordsha1c)

libcourierauthcommon_la_DEPENDENCIES = libcourierauth.la
libcourierauthcommon_la_LIBADD = libcourierauth.la
libcourierauthcommon_la_LDFLAGS = $(libcourierauthcommon_t:%=-Wl,%)
libcourierauth_la_SOURCES = authdaemon.c authdaemonlib.c preauthdaemon.c \
	authmoduser2.c authmoduser3.c debug.c \
	courierauthdebug.h \
	authoption.c

libcourierauth_la_LIBADD = @HMACLIB@ @MD5LIB@ @SHA1LIB@ numlib/libnumlib.la \
	random128/librandom128.la rfc822/libencode.la

libcourierauth_la_LDFLAGS = @NETLIBS@

# The userdb module
libauthuserdb_t = userdb/libuserdb.la @dblibrary@ @LIBGDBM@ @LIBDB@
libauthuserdb_la_SOURCES = authuserdb.c preauthuserdb.c preauthuserdbcommon.c \
	 authuserdbpwd.c

libauthuserdb_la_DEPENDENCIES = libcourierauthcommon.la @dblibrary@
libauthuserdb_la_LIBADD = $(commonlibadd) $(libauthuserdb_t)
libauthuserdb_la_LDFLAGS = $(commonldflags)

# the authpam module
libauthpam_t = -lpam @SHADOWLIBS@ @AUTHPAMCRYPT@ @LIBDL@
libauthpam_la_SOURCES = authpam.c preauthpam.c authwait.h
libauthpam_la_DEPENDENCIES = $(commonlibdep)
libauthpam_la_LIBADD = $(commonlibadd)
libauthpam_la_LDFLAGS = $(commonldflags) $(libauthpam_t)

# The authpwd module
libauthpwd_la_SOURCES = authpwd.c preauthpwd.c
libauthpwd_la_DEPENDENCIES = $(commonlibdep)
libauthpwd_la_LIBADD = $(commonlibadd)
libauthpwd_la_LDFLAGS = $(commonldflags)

# The authshadow module
libauthshadow_t = @SHADOWLIBS@
libauthshadow_la_SOURCES = authshadow.c preauthshadow.c
libauthshadow_la_DEPENDENCIES = $(commonlibdep)
libauthshadow_la_LIBADD = $(commonlibadd)
libauthshadow_la_LDFLAGS = $(commonldflags) $(libauthshadow_t)

# The authvchkpw module
libauthvchkpw_t = @VPOPMAILLIBS@ @LIBM@
libauthvchkpw_la_SOURCES = authvchkpw.c authvchkpwlib.c preauthvchkpw.c
libauthvchkpw_la_DEPENDENCIES = $(commonlibdep)
libauthvchkpw_la_LIBADD = $(commonlibadd)
libauthvchkpw_la_LDFLAGS = $(commonldflags) $(libauthvchkpw_t)

# The authpgsql module
libauthpgsql_t = @PGSQL_LIBS@ @LIBM@ @NETLIBS@
libauthpgsql_la_SOURCES = authpgsql.c preauthpgsql.c authpgsqllib.c authpgsql.h
libauthpgsql_la_DEPENDENCIES = $(commonlibdep)
libauthpgsql_la_LIBADD = $(commonlibadd)
libauthpgsql_la_LDFLAGS = $(commonldflags) $(libauthpgsql_t)

# The authldap module
libauthldap_t = @LDAPLIBS@ @NETLIBS@
libauthldap_la_SOURCES = authldap.c preauthldap.c authldaplib.c authldap.h
libauthldap_la_DEPENDENCIES = $(commonlibdep)
libauthldap_la_LIBADD = $(commonlibadd)
libauthldap_la_LDFLAGS = $(commonldflags) $(libauthldap_t)

# The authmysql module
libauthmysql_t = @MYSQL_LIBS@ @LIBM@ @NETLIBS@
libauthmysql_la_SOURCES = authmysql.c preauthmysql.c authmysqllib.c authmysql.h
libauthmysql_la_DEPENDENCIES = $(commonlibdep)
libauthmysql_la_LIBADD = $(commonlibadd)
libauthmysql_la_LDFLAGS = $(commonldflags) $(libauthmysql_t)

# The authcustom module
libauthcustom_la_SOURCES = authcustom.c preauthcustom.c authcustom.h
libauthcustom_la_DEPENDENCIES = $(commonlibdep)
libauthcustom_la_LIBADD = $(commonlibadd)
libauthcustom_la_LDFLAGS = $(commonldflags)

# The authpipe module
libauthpipe_la_SOURCES = authpipe.c authpipelib.h authpipelib.c
libauthpipe_la_DEPENDENCIES = $(commonlibdep)
libauthpipe_la_LIBADD = $(commonlibadd)
libauthpipe_la_LDFLAGS = $(commonldflags)
@HAVE_MD5_FALSE@checkpasswordmd5c = 
@HAVE_MD5_TRUE@checkpasswordmd5c = checkpasswordmd5.c
@HAVE_SHA1_FALSE@checkpasswordsha1c = 
@HAVE_SHA1_TRUE@checkpasswordsha1c = checkpasswordsha1.c
HTMLFILES = README.html NEWS.html INSTALL.html \
		README.authmysql.html README.authpostgres.html

EXTRA_DIST = $(HTMLFILES) sysconftool COPYING COPYING.GPL\
	authldap.schema \
	checkpasswordmd5.c checkpasswordsha1.c \
	authldaprc authmysqlrc authpgsqlrc README.ldap \
	README.authmysql.myownquery \
	README.authdebug.html.in automake.fix \
	courier-authlib.spec \
	courier-authlib.lpspec pgpkeys.txt \
	README_authlib.html.in \
	authlib.html.in authlib.3.in \
	authpasswd.html authpasswd.1 \
	authtest.html authtest.1 \
	auth_sasl.html auth_sasl.3 \
	auth_generic.html auth_generic.3 \
	auth_login.html auth_login.3 \
	auth_passwd.html auth_passwd.3 \
	auth_getuserinfo.html auth_getuserinfo.3 \
	auth_enumerate.html auth_enumerate.3 \
	auth_getoption.html auth_getoption.3 \
	samplepipe.pl

libcourierauthsasl_la_SOURCES = \
	authsasl.c courierauthsasl.h \
	authsaslcram.c authsasllogin.c authsaslplain.c \
	authsaslfrombase64.c authsasltobase64.c

libcourierauthsasl_la_LIBADD = libcourierauth.la
libcourierauthsasl_la_LDFLAGS = -export-symbols-regex '^auth_sasl$$'
libcourierauthsaslclient_la_SOURCES = courierauthsaslclient.h \
	authsaslclient.c authsaslclient.h authsaslclientcram.c \
	authsaslclientcrammd5.c authsaslclientcramsha1.c \
	authsaslclientlogin.c authsaslclientplain.c \
	authsaslfrombase64.c authsasltobase64.c

libcourierauthsaslclient_la_LIBADD = libcourierauth.la
libcourierauthsaslclient_la_LDFLAGS = -export-symbols-regex '^auth_sasl_client$$'
include_HEADERS = courier_auth_config.h courierauth.h courierauthsasl.h \
	courierauthsaslclient.h courierauthdebug.h

courierauthconfig_SOURCES = authinfo.c
authpasswd_SOURCES = authpasswd.c
authpasswd_LDADD = libcourierauthcommon.la
authtest_SOURCES = authtest.c
authtest_DEPENDENCIES = libcourierauth.la
authtest_LDADD = libcourierauth.la
authenumerate_SOURCES = authenumerate.c
authenumerate_DEPENDENCIES = libcourierauth.la
authenumerate_LDADD = libcourierauth.la
authenumerate_LDFLAGS = 

#
# The main daemon.
authdaemondprog_SOURCES = authdaemond.c
authdaemondprog_DEPENDENCIES = libcourierauthcommon.la \
	liblock/liblock.la $(modules)

authdaemondprog_LDADD = $(LIBLTDL) libcourierauthcommon.la liblock/liblock.la
authdaemondprog_LDFLAGS = -export-dynamic $(modules:%=-dlopen %) @NETLIBS@
authdaemontest_SOURCES = authdaemontest.c
authdaemontest_DEPENDENCIES = libcourierauthcommon.la
authdaemontest_LDADD = libcourierauthcommon.la @NETLIBS@
authdaemontest_LDFLAGS = -static
authmksock_SOURCES = authmksock.c
authmksock_LDADD = @NETLIBS@
man3 = authlib.3 auth_generic.3 auth_login.3 auth_getuserinfo.3 \
	auth_enumerate.3 auth_passwd.3 auth_getoption.3 auth_sasl.3

man1 = authpasswd.1 authtest.1
man_MANS = $(man1) $(man3)
BUILT1 = authlib.html authldaprc.h authmysqlrc.h authpgsqlrc.h authpiperc.h \
	authdaemonrc.h vpopmail_config.h packageversion.h \
	authchangepwdir.h sbindir.h \
	pkglibdir.h pkgincludedir.h mailusergroup.h \
	README_authlib.html

BUILT_SOURCES = $(BUILT1) $(man3:%.3=%.html) $(man1:%.1=%.html)
noinst_DATA = $(BUILT_SOURCES)
HTMLDOCFILES = $(HTMLFILES) README.authdebug.html README_authlib.html \
	$(man3:%.3=%.html) $(man1:%.1=%.html)

all: $(BUILT_SOURCES) courier_auth_config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

courier_auth_config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/courier_auth_config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status courier_auth_config.h
$(srcdir)/courier_auth_config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f courier_auth_config.h stamp-h1
authdaemond: $(top_builddir)/config.status $(srcdir)/authdaemond.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
authdaemonrc: $(top_builddir)/config.status $(srcdir)/authdaemonrc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
authsystem.passwd: $(top_builddir)/config.status $(srcdir)/authsystem.passwd.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
README.authdebug.html: $(top_builddir)/config.status $(srcdir)/README.authdebug.html.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
dbobj.h: $(top_builddir)/config.status $(srcdir)/dbobj.h.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
authmigrate: $(top_builddir)/config.status $(srcdir)/authmigrate.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
courier-authlib.spec: $(top_builddir)/config.status $(srcdir)/courier-authlib.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
courier-authlib.lpspec: $(top_builddir)/config.status $(srcdir)/courier-authlib.lpspec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
courier-authlib.sysvinit: $(top_builddir)/config.status $(srcdir)/courier-authlib.sysvinit.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
userdb-test-cram-md5.pl: $(top_builddir)/config.status $(srcdir)/userdb-test-cram-md5.pl.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(pkglibdir)" || $(mkdir_p) "$(DESTDIR)$(pkglibdir)"
	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
	  else :; fi; \
	done

uninstall-pkglibLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
	done

clean-pkglibLTLIBRARIES:
	-test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
	@list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libauthcustom.la: $(libauthcustom_la_OBJECTS) $(libauthcustom_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthcustom_la_LDFLAGS) $(libauthcustom_la_OBJECTS) $(libauthcustom_la_LIBADD) $(LIBS)
libauthldap.la: $(libauthldap_la_OBJECTS) $(libauthldap_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthldap_la_LDFLAGS) $(libauthldap_la_OBJECTS) $(libauthldap_la_LIBADD) $(LIBS)
libauthmysql.la: $(libauthmysql_la_OBJECTS) $(libauthmysql_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthmysql_la_LDFLAGS) $(libauthmysql_la_OBJECTS) $(libauthmysql_la_LIBADD) $(LIBS)
libauthpam.la: $(libauthpam_la_OBJECTS) $(libauthpam_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthpam_la_LDFLAGS) $(libauthpam_la_OBJECTS) $(libauthpam_la_LIBADD) $(LIBS)
libauthpgsql.la: $(libauthpgsql_la_OBJECTS) $(libauthpgsql_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthpgsql_la_LDFLAGS) $(libauthpgsql_la_OBJECTS) $(libauthpgsql_la_LIBADD) $(LIBS)
libauthpipe.la: $(libauthpipe_la_OBJECTS) $(libauthpipe_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthpipe_la_LDFLAGS) $(libauthpipe_la_OBJECTS) $(libauthpipe_la_LIBADD) $(LIBS)
libauthpwd.la: $(libauthpwd_la_OBJECTS) $(libauthpwd_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthpwd_la_LDFLAGS) $(libauthpwd_la_OBJECTS) $(libauthpwd_la_LIBADD) $(LIBS)
libauthshadow.la: $(libauthshadow_la_OBJECTS) $(libauthshadow_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthshadow_la_LDFLAGS) $(libauthshadow_la_OBJECTS) $(libauthshadow_la_LIBADD) $(LIBS)
libauthuserdb.la: $(libauthuserdb_la_OBJECTS) $(libauthuserdb_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthuserdb_la_LDFLAGS) $(libauthuserdb_la_OBJECTS) $(libauthuserdb_la_LIBADD) $(LIBS)
libauthvchkpw.la: $(libauthvchkpw_la_OBJECTS) $(libauthvchkpw_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK)  $(libauthvchkpw_la_LDFLAGS) $(libauthvchkpw_la_OBJECTS) $(libauthvchkpw_la_LIBADD) $(LIBS)
libcourierauth.la: $(libcourierauth_la_OBJECTS) $(libcourierauth_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK) -rpath $(pkglibdir) $(libcourierauth_la_LDFLAGS) $(libcourierauth_la_OBJECTS) $(libcourierauth_la_LIBADD) $(LIBS)
libcourierauthcommon.la: $(libcourierauthcommon_la_OBJECTS) $(libcourierauthcommon_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK) -rpath $(pkglibdir) $(libcourierauthcommon_la_LDFLAGS) $(libcourierauthcommon_la_OBJECTS) $(libcourierauthcommon_la_LIBADD) $(LIBS)
libcourierauthsasl.la: $(libcourierauthsasl_la_OBJECTS) $(libcourierauthsasl_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK) -rpath $(pkglibdir) $(libcourierauthsasl_la_LDFLAGS) $(libcourierauthsasl_la_OBJECTS) $(libcourierauthsasl_la_LIBADD) $(LIBS)
libcourierauthsaslclient.la: $(libcourierauthsaslclient_la_OBJECTS) $(libcourierauthsaslclient_la_DEPENDENCIES) 
	@echo Linking $@; $(LINK) -rpath $(pkglibdir) $(libcourierauthsaslclient_la_LDFLAGS) $(libcourierauthsaslclient_la_OBJECTS) $(libcourierauthsaslclient_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(sbinPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(sbindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

clean-sbinPROGRAMS:
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
authdaemondprog$(EXEEXT): $(authdaemondprog_OBJECTS) $(authdaemondprog_DEPENDENCIES) 
	@rm -f authdaemondprog$(EXEEXT)
	@echo Linking $@; $(LINK) $(authdaemondprog_LDFLAGS) $(authdaemondprog_OBJECTS) $(authdaemondprog_LDADD) $(LIBS)
authdaemontest$(EXEEXT): $(authdaemontest_OBJECTS) $(authdaemontest_DEPENDENCIES) 
	@rm -f authdaemontest$(EXEEXT)
	@echo Linking $@; $(LINK) $(authdaemontest_LDFLAGS) $(authdaemontest_OBJECTS) $(authdaemontest_LDADD) $(LIBS)
authenumerate$(EXEEXT): $(authenumerate_OBJECTS) $(authenumerate_DEPENDENCIES) 
	@rm -f authenumerate$(EXEEXT)
	@echo Linking $@; $(LINK) $(authenumerate_LDFLAGS) $(authenumerate_OBJECTS) $(authenumerate_LDADD) $(LIBS)
authmksock$(EXEEXT): $(authmksock_OBJECTS) $(authmksock_DEPENDENCIES) 
	@rm -f authmksock$(EXEEXT)
	@echo Linking $@; $(LINK) $(authmksock_LDFLAGS) $(authmksock_OBJECTS) $(authmksock_LDADD) $(LIBS)
authpasswd$(EXEEXT): $(authpasswd_OBJECTS) $(authpasswd_DEPENDENCIES) 
	@rm -f authpasswd$(EXEEXT)
	@echo Linking $@; $(LINK) $(authpasswd_LDFLAGS) $(authpasswd_OBJECTS) $(authpasswd_LDADD) $(LIBS)
authtest$(EXEEXT): $(authtest_OBJECTS) $(authtest_DEPENDENCIES) 
	@rm -f authtest$(EXEEXT)
	@echo Linking $@; $(LINK) $(authtest_LDFLAGS) $(authtest_OBJECTS) $(authtest_LDADD) $(LIBS)
courierauthconfig$(EXEEXT): $(courierauthconfig_OBJECTS) $(courierauthconfig_DEPENDENCIES) 
	@rm -f courierauthconfig$(EXEEXT)
	@echo Linking $@; $(LINK) $(courierauthconfig_LDFLAGS) $(courierauthconfig_OBJECTS) $(courierauthconfig_LDADD) $(LIBS)
install-pkglibexecSCRIPTS: $(pkglibexec_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(pkglibexecdir)" || $(mkdir_p) "$(DESTDIR)$(pkglibexecdir)"
	@list='$(pkglibexec_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(pkglibexecSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(pkglibexecdir)/$$f'"; \
	    $(pkglibexecSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(pkglibexecdir)/$$f"; \
	  else :; fi; \
	done

uninstall-pkglibexecSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkglibexec_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(pkglibexecdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkglibexecdir)/$$f"; \
	done
install-sbinSCRIPTS: $(sbin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(sbindir)" || $(mkdir_p) "$(DESTDIR)$(sbindir)"
	@list='$(sbin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(sbinSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(sbindir)/$$f'"; \
	    $(sbinSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(sbindir)/$$f"; \
	  else :; fi; \
	done

uninstall-sbinSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(sbin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(sbindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(sbindir)/$$f"; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authcustom.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authdaemon.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authdaemond.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authdaemonlib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authdaemontest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authenumerate.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authinfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authldap.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authldaplib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authmksock.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authmoduser2.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authmoduser3.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authmysql.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authmysqllib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authoption.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpam.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpasswd.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpgsql.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpgsqllib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpipe.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpipelib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpwd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authpwdenumerate.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsasl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclient.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclientcram.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclientcrammd5.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclientcramsha1.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclientlogin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslclientplain.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslcram.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslfrombase64.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsasllogin.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsaslplain.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsasltobase64.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authshadow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsyschangepwd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authsyscommon.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authuserdb.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authuserdbpwd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authvchkpw.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/authvchkpwlib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkpassword.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkpasswordmd5.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/checkpasswordsha1.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cramlib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cryptpassword.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthcustom.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthdaemon.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthldap.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthmysql.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthpam.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthpgsql.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthpwd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthshadow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthuserdb.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthuserdbcommon.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preauthvchkpw.Plo@am__quote@

.c.o:
@am__fastdepCC_TRUE@	@echo Compiling $< ; if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	@echo Compiling $< ; if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	@echo Compiling $< ; if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-man1: $(man1_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
	done
uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.1*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    1*) ;; \
	    *) ext='1' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
	done
install-man3: $(man3_MANS) $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man3dir)" || $(mkdir_p) "$(DESTDIR)$(man3dir)"
	@list='$(man3_MANS) $(dist_man3_MANS) $(nodist_man3_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.3*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    3*) ;; \
	    *) ext='3' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst"; \
	done
uninstall-man3:
	@$(NORMAL_UNINSTALL)
	@list='$(man3_MANS) $(dist_man3_MANS) $(nodist_man3_MANS)'; \
	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
	for i in $$l2; do \
	  case "$$i" in \
	    *.3*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  case "$$ext" in \
	    3*) ;; \
	    *) ext='3' ;; \
	  esac; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f '$(DESTDIR)$(man3dir)/$$inst'"; \
	  rm -f "$(DESTDIR)$(man3dir)/$$inst"; \
	done
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(includedir)" || $(mkdir_p) "$(DESTDIR)$(includedir)"
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
	  $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) courier_auth_config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) courier_auth_config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) courier_auth_config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) courier_auth_config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkdir_p) $(distdir)/.
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)
dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && cd $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
distuninstallcheck:
	@cd $(distuninstallcheck_dir) \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(MANS) $(DATA) \
		$(HEADERS) courier_auth_config.h
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(pkglibexecdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(includedir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-binPROGRAMS clean-generic clean-libtool \
	clean-noinstPROGRAMS clean-pkglibLTLIBRARIES \
	clean-sbinPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am: install-includeHEADERS install-man
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook

install-exec-am: install-binPROGRAMS install-pkglibLTLIBRARIES \
	install-pkglibexecSCRIPTS install-sbinPROGRAMS \
	install-sbinSCRIPTS
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook

install-info: install-info-recursive

install-man: install-man1 install-man3

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS \
	uninstall-info-am uninstall-man uninstall-pkglibLTLIBRARIES \
	uninstall-pkglibexecSCRIPTS uninstall-sbinPROGRAMS \
	uninstall-sbinSCRIPTS
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook

uninstall-info: uninstall-info-recursive

uninstall-man: uninstall-man1 uninstall-man3

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
	check-am clean clean-binPROGRAMS clean-generic clean-libtool \
	clean-noinstPROGRAMS clean-pkglibLTLIBRARIES clean-recursive \
	clean-sbinPROGRAMS ctags ctags-recursive dist dist-all \
	dist-bzip2 dist-gzip dist-hook dist-shar dist-tarZ dist-zip \
	distcheck distclean distclean-compile distclean-generic \
	distclean-hdr distclean-libtool distclean-recursive \
	distclean-tags distcleancheck distdir distuninstallcheck dvi \
	dvi-am html html-am info info-am install install-am \
	install-binPROGRAMS install-data install-data-am \
	install-data-hook install-exec install-exec-am \
	install-exec-hook install-includeHEADERS install-info \
	install-info-am install-man install-man1 install-man3 \
	install-pkglibLTLIBRARIES install-pkglibexecSCRIPTS \
	install-sbinPROGRAMS install-sbinSCRIPTS install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
	uninstall-binPROGRAMS uninstall-hook uninstall-includeHEADERS \
	uninstall-info-am uninstall-man uninstall-man1 uninstall-man3 \
	uninstall-pkglibLTLIBRARIES uninstall-pkglibexecSCRIPTS \
	uninstall-sbinPROGRAMS uninstall-sbinSCRIPTS


authvchkpw.lo: authvchkpw.c vpopmail_config.h
preauthvchkpw.lo: preauthvchkpw.c vpopmail_config.h

vpopmail_config.h:
	echo '#include "@vpopmail_home@/include/config.h"' >vpopmail_config.h

authpgsqllib.lo: authpgsqllib.c authpgsqlrc.h

@HAVE_AUTHPGSQL_TRUE@install-authpgsqlrc:
@HAVE_AUTHPGSQL_TRUE@	$(mkinstalldirs) $(DESTDIR)`dirname @authpgsqlrc@`
@HAVE_AUTHPGSQL_TRUE@	$(INSTALL_DATA) -m 660 $(srcdir)/authpgsqlrc \
@HAVE_AUTHPGSQL_TRUE@		$(DESTDIR)@authpgsqlrc@.dist
@HAVE_AUTHPGSQL_TRUE@	-chown @mailuser@ $(DESTDIR)@authpgsqlrc@.dist
@HAVE_AUTHPGSQL_TRUE@	-chgrp @mailgroup@ $(DESTDIR)@authpgsqlrc@.dist

@HAVE_AUTHPGSQL_TRUE@uninstall-authpgsqlrc:
@HAVE_AUTHPGSQL_TRUE@	rm -f $(DESTDIR)@authpgsqlrc@.dist

@HAVE_AUTHPGSQL_FALSE@install-authpgsqlrc:
@HAVE_AUTHPGSQL_FALSE@	@:

@HAVE_AUTHPGSQL_FALSE@uninstall-authpgsqlrc:
@HAVE_AUTHPGSQL_FALSE@	@:

authpgsqlrc.h:
	echo "#define AUTHPGSQLRC \"@authpgsqlrc@\"" >authpgsqlrc.h

authldaplib.lo: authldaplib.c authldaprc.h

@HAVE_LDAP_TRUE@install-authldaprc:
@HAVE_LDAP_TRUE@	$(mkinstalldirs) $(DESTDIR)`dirname @authldaprc@` 
@HAVE_LDAP_TRUE@	$(INSTALL_DATA) -m 660 $(srcdir)/authldaprc \
@HAVE_LDAP_TRUE@		$(DESTDIR)@authldaprc@.dist
@HAVE_LDAP_TRUE@	-chown @mailuser@ $(DESTDIR)@authldaprc@.dist
@HAVE_LDAP_TRUE@	-chgrp @mailgroup@ $(DESTDIR)@authldaprc@.dist

@HAVE_LDAP_TRUE@uninstall-authldaprc:
@HAVE_LDAP_TRUE@	rm -f $(DESTDIR)@authldaprc@.dist

@HAVE_LDAP_FALSE@install-authldaprc:
@HAVE_LDAP_FALSE@	@:

@HAVE_LDAP_FALSE@uninstall-authldaprc:
@HAVE_LDAP_FALSE@	@:

authldaprc.h:
	echo "#define AUTHLDAPRC \"@authldaprc@\"" >authldaprc.h

authmysqllib.lo: authmysqllib.c authmysqlrc.h

@HAVE_AUTHMYSQL_TRUE@install-authmysqlrc:
@HAVE_AUTHMYSQL_TRUE@	$(mkinstalldirs) $(DESTDIR)`dirname @authmysqlrc@`
@HAVE_AUTHMYSQL_TRUE@	$(INSTALL_DATA) -m 660 $(srcdir)/authmysqlrc \
@HAVE_AUTHMYSQL_TRUE@		$(DESTDIR)@authmysqlrc@.dist
@HAVE_AUTHMYSQL_TRUE@	-chown @mailuser@ $(DESTDIR)@authmysqlrc@.dist
@HAVE_AUTHMYSQL_TRUE@	-chgrp @mailgroup@ $(DESTDIR)@authmysqlrc@.dist

@HAVE_AUTHMYSQL_TRUE@uninstall-authmysqlrc:
@HAVE_AUTHMYSQL_TRUE@	rm -f $(DESTDIR)@authmysqlrc@.dist

@HAVE_AUTHMYSQL_FALSE@install-authmysqlrc:
@HAVE_AUTHMYSQL_FALSE@	@:

@HAVE_AUTHMYSQL_FALSE@uninstall-authmysqlrc:
@HAVE_AUTHMYSQL_FALSE@	@:

authmysqlrc.h:
	echo "#define AUTHMYSQLRC \"@authmysqlrc@\"" >authmysqlrc.h

authpipelib.lo: authpipelib.c authpipelib.h authpiperc.h

authpiperc.h:
	echo "#define PIPE_PROGRAM \"@authProg@\"" >authpiperc.h

install-authdaemonrc:
	$(mkinstalldirs) $(DESTDIR)`dirname @authdaemonrc@`
	sed 's/@ALLMODULES@/$(modules:lib%.la=%)/' <authdaemonrc >authdaemonrc.tmp
	$(INSTALL_DATA) -m 660 authdaemonrc.tmp $(DESTDIR)@authdaemonrc@.dist
	rm -f authdaemonrc.tmp
	-chown @mailuser@ $(DESTDIR)@authdaemonrc@.dist
	-chgrp @mailgroup@ $(DESTDIR)@authdaemonrc@.dist

uninstall-authdaemonrc:
	rm -f $(DESTDIR)@authdaemonrc@.dist

authdaemonrc.h:
	echo "#define AUTHDAEMONRC \"@authdaemonrc@\"" >authdaemonrc.h
	echo "#define AUTHDAEMONVAR \"@authdaemonvar@\"" >>authdaemonrc.h
	echo "#define AUTHDAEMONPID AUTHDAEMONVAR \"/pid\"" >>authdaemonrc.h
	echo "#define AUTHDAEMONSOCK AUTHDAEMONVAR \"/socket\"" >>authdaemonrc.h
	echo "#define AUTHDAEMONLOCK AUTHDAEMONVAR \"/lock\"" >>authdaemonrc.h

README: README.html
	links -dump README.html >README

NEWS: NEWS.html
	links -dump NEWS.html >NEWS

INSTALL: INSTALL.html
	links -dump INSTALL.html >INSTALL

authchangepwdir.h: config.status
	echo '#define AUTHCHANGEPWDIR "$(pkglibexecdir)"' >authchangepwdir.h

sbindir.h: config.status
	echo '#define SBINDIR "@sbindir@"' >sbindir.h

pkglibdir.h: config.status
	echo '#define PKGLIBDIR "$(pkglibdir)"' >pkglibdir.h

packageversion.h: config.status
	echo '#define PKGVERSION "@PACKAGE_VERSION@"' >packageversion.h

pkgincludedir.h: config.status
	echo '#define PKGINCLUDEDIR "$(includedir)"' >pkgincludedir.h

mailusergroup.h: config.status
	echo '#define MAILUSER "@mailuser@"' >mailusergroup.h
	echo '#define MAILGROUP "@mailgroup@"' >>mailusergroup.h

dist-hook:
	for f in $(BUILT1) ; do rm -f $(distdir)/$$f; done

# automake still a bit stupid...

install-data-hook: install-authdaemonrc install-authpgsqlrc \
	install-authldaprc install-authmysqlrc
	:

install-exec-hook:
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	$(mkinstalldirs) $(DESTDIR)$(pkglibexecdir)
	$(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) authdaemondprog $(DESTDIR)$(pkglibexecdir)/authdaemond
	$(mkinstalldirs) $(DESTDIR)@authdaemonvar@
	chmod 750 $(DESTDIR)@authdaemonvar@
	-chown @mailuser@ $(DESTDIR)@authdaemonvar@
	-chgrp @mailgroup@ $(DESTDIR)@authdaemonvar@
	test "@LIBAUTHUSERDB@" = "" && exit 0 ;\
		$(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) makedat/makedatprog \
				$(DESTDIR)$(pkglibexecdir)/makedatprog ; \
		$(INSTALL_SCRIPT) userdb/vchkpw2userdb \
				$(DESTDIR)$(sbindir)/vchkpw2userdb ; \
		$(INSTALL_SCRIPT) userdb/pw2userdb \
				$(DESTDIR)$(sbindir)/pw2userdb ; \
		$(INSTALL_SCRIPT) userdb/makeuserdb \
				$(DESTDIR)$(sbindir)/makeuserdb ; \
		$(INSTALL_SCRIPT) userdb/userdb.pl \
				$(DESTDIR)$(sbindir)/userdb ; \
		$(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) userdb/userdbpw \
				$(DESTDIR)$(sbindir)/userdbpw ; \
		$(INSTALL_SCRIPT) userdb-test-cram-md5.pl \
				$(DESTDIR)$(sbindir)/userdb-test-cram-md5

uninstall-hook: uninstall-authldaprc uninstall-authdaemonrc uninstall-authmysqlrc uninstall-authpgsqlrc
	rm -f $(DESTDIR)$(pkglibexecdir)/authdaemond
	test "@AUTHUSERDB@" = "" && exit 0 ;\
		rm -f $(DESTDIR)$(pkglibexecdir)/makedatprog \
				$(DESTDIR)$(sbindir)/vchkpw2userdb \
				$(DESTDIR)$(sbindir)/pw2userdb \
				$(DESTDIR)$(sbindir)/makeuserdb \
				$(DESTDIR)$(sbindir)/userdb \
				$(DESTDIR)$(sbindir)/userdbpw \
				$(DESTDIR)$(sbindir)/userdb-test-cram-md5

authlib.html: authlib.html.in
	CONFIG_FILES=authlib.html CONFIG_HEADERS= $(SHELL) ./config.status

authlib.3: authlib.3.in
	CONFIG_FILES=authlib.3 CONFIG_HEADERS= $(SHELL) ./config.status

@HAVE_SGML_TRUE@authpasswd.html: authpasswd.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html authpasswd.sgml authpasswd.html

@HAVE_SGML_TRUE@authpasswd.1: authpasswd.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man authpasswd.sgml authpasswd.1

@HAVE_SGML_TRUE@authtest.html: authtest.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html authtest.sgml authtest.html

@HAVE_SGML_TRUE@authtest.1: authtest.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man authtest.sgml authtest.1

@HAVE_SGML_TRUE@authlib.html.in: authlib.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html authlib.sgml authlib.html.in

@HAVE_SGML_TRUE@authlib.3.in: authlib.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man authlib.sgml authlib.3.in

@HAVE_SGML_TRUE@README_authlib.html.in: README_authlib.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html README_authlib.sgml README_authlib.html.in

@HAVE_SGML_TRUE@auth_generic.html: auth_generic.sgml authcallback.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_generic.sgml auth_generic.html

@HAVE_SGML_TRUE@auth_generic.3: auth_generic.sgml authcallback.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_generic.sgml auth_generic.3

@HAVE_SGML_TRUE@auth_login.html: auth_login.sgml authcallback.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_login.sgml auth_login.html

@HAVE_SGML_TRUE@auth_login.3: auth_login.sgml authcallback.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_login.sgml auth_login.3

@HAVE_SGML_TRUE@auth_getuserinfo.html: auth_getuserinfo.sgml authcallback.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_getuserinfo.sgml auth_getuserinfo.html

@HAVE_SGML_TRUE@auth_getuserinfo.3: auth_getuserinfo.sgml authcallback.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_getuserinfo.sgml auth_getuserinfo.3

@HAVE_SGML_TRUE@auth_enumerate.html: auth_enumerate.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_enumerate.sgml auth_enumerate.html

@HAVE_SGML_TRUE@auth_enumerate.3: auth_enumerate.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_enumerate.sgml auth_enumerate.3

@HAVE_SGML_TRUE@auth_passwd.html: auth_passwd.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_passwd.sgml auth_passwd.html

@HAVE_SGML_TRUE@auth_passwd.3: auth_passwd.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_passwd.sgml auth_passwd.3

@HAVE_SGML_TRUE@auth_getoption.html: auth_getoption.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_getoption.sgml auth_getoption.html

@HAVE_SGML_TRUE@auth_getoption.3: auth_getoption.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_getoption.sgml auth_getoption.3

@HAVE_SGML_TRUE@auth_sasl.html: auth_sasl.sgml docbook/sgml2html
@HAVE_SGML_TRUE@	docbook/sgml2html auth_sasl.sgml auth_sasl.html

@HAVE_SGML_TRUE@auth_sasl.3: auth_sasl.sgml docbook/sgml2man
@HAVE_SGML_TRUE@	docbook/sgml2man auth_sasl.sgml auth_sasl.3

README_authlib.html: README_authlib.html.in config.status
	CONFIG_FILES=README_authlib.html CONFIG_HEADERS= $(SHELL) ./config.status

authdaemond.o: authdaemonrc.h authdaemond.c

install-migrate: authmigrate
	@SHELL@ authmigrate

install-configure:
	test -f $(DESTDIR)@authdaemonrc@.dist && @SYSCONFTOOL@ $(DESTDIR)@authdaemonrc@.dist || true
	test -f $(DESTDIR)@authmysqlrc@.dist && @SYSCONFTOOL@ $(DESTDIR)@authmysqlrc@.dist || true
	test -f $(DESTDIR)@authpgsqlrc@.dist && @SYSCONFTOOL@ $(DESTDIR)@authpgsqlrc@.dist || true
	test -f $(DESTDIR)@authldaprc@.dist && @SYSCONFTOOL@ $(DESTDIR)@authldaprc@.dist || true

# For maintainer's use only

distrelease:
	umask 022; $(MAKE) -$(MAKEFLAGS) distcheck
	$(MAKE) -$(MAKEFLAGS) rpm
	socksify cvs commit
	socksify cvs tag -F @PACKAGE@-latest
	$(MAKE) -$(MAKEFLAGS)
	$(MAKE) -$(MAKEFLAGS)
	rm -f @PACKAGE@.spec @PACKAGE@.lpspec
	$(MAKE) -$(MAKEFLAGS) @PACKAGE@.spec @PACKAGE@.lpspec
	$(MAKE) -$(MAKEFLAGS) dist

tagrelease:
	socksify cvs tag -F -r @PACKAGE@-latest \
               `echo @PACKAGE@-@VERSION@ | tr '.' '-'`

rpm: rpm-build

rpm-build:
	$(MAKE) -$(MAKEFLAGS) bump.rpm.release
	$(MAKE) -$(MAKEFLAGS) dist
	$(MAKE) -$(MAKEFLAGS) dorpm

lpm: lpm-build

lpm-build:
	$(MAKE) -$(MAKEFLAGS) bump.rpm.release
	$(MAKE) -$(MAKEFLAGS) dist
	$(MAKE) -$(MAKEFLAGS) dolpm

dolpm:
	rm -rf lpm
	mkdir lpm
	lpbuild `test "@REPOSITORY@" == "" || echo --define "repository=1"` --srcbuild -o lpm @PACKAGE@-@VERSION@.tar.bz2

publish: publish-@REPOSITORY@

publish-dev:
	$(MAKE) -$(MAKEFLAGS) dopublish SUBDIR=dev

publish-prod:
	$(MAKE) -$(MAKEFLAGS) dopublish SUBDIR=prod

dopublish:
	lpbuild --resign lpm/*
	rm -rf lpmtmp
	mkdir lpmtmp
	ln lpm/* lpmtmp
	rm -f lpmtmp/*debuginfo*
	mv lpmtmp/*.src.lp repository-$(SUBDIR)/`lpm -q --distribution`/sources
	mv lpmtmp/*.lp repository-$(SUBDIR)/`lpm -q --distribution`/packages
	rm -rf lpmtmp
	ls -t repository-$(SUBDIR)/`lpm -q --distribution`/sources | tail +6 | xargs -r -n 1 lpm --erase repository-$(SUBDIR)
	lpm --sync repository-$(SUBDIR)
	rsync -a -v --delete-after repository-$(SUBDIR)/`lpm -q --distribution`/. headache:lpmtool.com/www/repositories/$(SUBDIR)/courier-authlib/`lpm -q --distribution`

dorpm:
	rm -rf rpm/BUILD/*
	rm -f rpm/RPMS/*/*
	rm -f rpm/SOURCES/*
	rm -f rpm/SPECS/*
	rm -f rpm/SRPMS/*
	unset MAKEFLAGS ; test ! -f $$HOME/.bashrc || . $$HOME/.bashrc; rpmbuild -ta --clean @PACKAGE@-@VERSION@.tar.bz2

bump.rpm.release: @PACKAGE@.spec @PACKAGE@.lpspec
	test -f $(srcdir)/rpm.release && . $(srcdir)/rpm.release; \
	NEXT_RELEASE=0; \
	test "$$VERSION" = "@VERSION@" && NEXT_RELEASE="$$RELEASE"; \
	RELEASE=`expr $$NEXT_RELEASE + 1`; \
	echo "VERSION=@VERSION@" >$(srcdir)/rpm.release; \
	echo "RELEASE=$$RELEASE" >>$(srcdir)/rpm.release; \
	sed 's/^Release: .*/Release: '$$RELEASE'%{courier_release}/' \
		<@PACKAGE@.spec >@PACKAGE@.spec.new; \
	mv @PACKAGE@.spec.new @PACKAGE@.spec; \
	sed 's/^Release: .*/Release: '$$RELEASE'/' \
		<@PACKAGE@.lpspec >@PACKAGE@.lpspec.new; \
	mv @PACKAGE@.lpspec.new @PACKAGE@.lpspec

upload-beta:
	rm -f @PACKAGE@-@VERSION@.tar.bz2.sig; gpg --detach-sign --default-key mrsam@courier-mta.com @PACKAGE@-@VERSION@.tar.bz2; test -f @PACKAGE@-@VERSION@.tar.bz2.sig || exit 1
	socksify scp @PACKAGE@-@VERSION@.tar.bz2 @PACKAGE@-@VERSION@.tar.bz2.sig courier.sourceforge.net:/home/groups/c/co/courier/htdocs/beta/@PACKAGE@/.
	socksify ssh courier.sourceforge.net echo @PACKAGE@-@VERSION@.tar.bz2 \>/home/groups/c/co/courier/@PACKAGE@.beta \&\& \
	cd /home/groups/c/co/courier/htdocs/beta/@PACKAGE@ \&\& \
	ls -r \| sed 1,4d \| xargs rm -f

upload-dist:
	rm -f @PACKAGE@-@VERSION@.tar.bz2.sig; gpg --detach-sign --default-key mrsam@courier-mta.com @PACKAGE@-@VERSION@.tar.bz2; test -f @PACKAGE@-@VERSION@.tar.bz2.sig || exit 1
	socksify cvs tag -F -r @PACKAGE@-latest \
               `echo @PACKAGE@-@VERSION@ | tr '.' '-'`
	socksify perl -e 'use Net::FTP; $$ftp=Net::FTP->new("upload.sourceforge.net.", Debug => 1, Passive => 1 ) || die; $$ftp->login("anonymous", "anonymous") || die; $$ftp->cwd("/incoming") && $$ftp->binary() && $$ftp->hash(1) && $$ftp->put("@PACKAGE@-@VERSION@.tar.bz2") && $$ftp->put("@PACKAGE@-@VERSION@.tar.bz2.sig") && exit 0; die;'

release-dist:
	test -z "$(SFPASSWD)" && exit 1; exit 0
	./changelog.pl >changelog.txt
	emacs releasenotes.txt
	test -f releasenotes.txt || exit 1
	socksify ../sftools/release.pl mrsam $(SFPASSWD) courier authlib @VERSION@ releasenotes.txt changelog.txt @PACKAGE@-@VERSION@.tar.bz2 @PACKAGE@-@VERSION@.tar.bz2.sig
	socksify ssh courier.sourceforge.net rm -f /home/groups/c/co/courier/@PACKAGE@.beta

htmldoc: $(HTMLDOCFILES)
	echo '/^<head/a'"\\" >htmldoc.sed
	echo '<link href="style.css" rel="stylesheet" type="text/css" />'"\\" >>htmldoc.sed
	echo '<link rel="icon" href="icon.gif" type="image/gif" />'"\\" >>htmldoc.sed
	echo '<script type="text/javascript" language="Javascript" src="frame.js"></script>' >>htmldoc.sed
	for f in $(HTMLDOCFILES); do b=`basename $$f`; h=`perl -ne ' print $$1 if /\\$(id):([^\\$$]*)\\$$/' <html/$$b` <html/$$b; sed -f htmldoc.sed <$$f | perl -ne 's~\$(id):.*\$$~\$(id):'"$$h"'\$$~; print' >html/$$b; done
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
